## org.eclipse.contribution.visualiser.jdtImpl
Class JDTSearchResultsContentProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.jdtImpl.JDTContentProvider
          org.eclipse.contribution.visualiser.jdtImpl.JDTSearchResultsContentProvider

All Implemented Interfaces:
  IContentProvider, org.eclipse.ui.ISelectionListener

public class JDTSearchResultsContentProvider
extends JDTContentProvider

The JDT Search Results Content Provider

Field Summary

Fields inherited from class org.eclipse.contribution.visualiser.jdtImpl.JDTContentProvider
`currentlySelectedJE, currentProject`

Constructor Summary
`JDTSearchResultsContentProvider()`

Method Summary
`java.util.List` `getAllMembers()` Get all members - returns null if last search to populate the search view wasn't a java search.

Methods inherited from class org.eclipse.contribution.visualiser.jdtImpl.JDTContentProvider
`activate, containsUsefulStuff, deactivate, getAllGroups, getAllJDTGroups, getAllMembers, getCurrentProject, getGroupForFragment, getGroupViewIcon, getLength, getMembersForPackage, getMemberViewIcon, initialise, lookForData, processMouseclick, selectionChanged, setCurrentProject, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDTSearchResultsContentProvider

    public JDTSearchResultsContentProvider()

Method Detail

### getAllMembers

    public java.util.List getAllMembers()

  Get all members - returns null if last search to populate the search view wasn't a java search.

  Specified by:
    `getAllMembers` in interface `IContentProvider`
  Overrides:
    `getAllMembers` in class `JDTContentProvider`
  See Also:
    `IContentProvider.getAllMembers()`